org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery

## Class ChainedAnnotationDiscovery

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery.ChainedAnnotationDiscovery

All Implemented Interfaces:
  AnnotationDiscovery

    public class ChainedAnnotationDiscovery
    extends Object
    implements AnnotationDiscovery

User: guillaume Date: 10/07/13 Time: 10:48

### Constructor Summary

Constructors
Constructor and Description
`ChainedAnnotationDiscovery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<AnnotationDiscovery>` `getDiscoveries()`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChainedAnnotationDiscovery

    public ChainedAnnotationDiscovery()

### Method Detail

#### getDiscoveries

    public List<AnnotationDiscovery> getDiscoveries()

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc)

Specified by:
  `visitAnnotation` in interface `AnnotationDiscovery`